View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17575Bug reportsSurvey takingpublic2021-09-21 09:45
ReporterMeirOverferst Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionreopened 
Product Version3.25.20 
Summary17575: End URL not working
DescriptionWhen redirecting is not enable, the endURL give a 404 error, and there is a test "HERE" appears as an h1 tag

Steps To Reproduce1. Create a survey
2. add end URL
3. Set "Automatically load end URL when survey complete" to Off. (Presentation)
4. Activate and participate in the survey
5. At the end of the survey click on the URL
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build) 3.27.14 cloud
I will donate to the project if issue is resolvedNo
Browser
Database type & versionNA
Server OS (if known)
Webserver software & version (if known)
PHP VersionNA

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2021-09-07 15:39

administrator   ~66376

Don't know how to fix this and still have it XSS safe.
ollehar

ollehar

2021-09-07 15:40

administrator   ~66377

Last edited: 2021-09-08 09:56

Wait, the "here" h1 is not removed??
ollehar

ollehar

2021-09-07 15:53

administrator   ~66378

Last edited: 2021-09-08 09:56

Pushed a fix to remove the "here", already released.
ollehar

ollehar

2021-09-07 16:19

administrator   ~66379

Last edited: 2021-09-08 09:56

Still not resolved, since it's URL encoded. Have to discuss it with someone to get clarity.
ollehar

ollehar

2021-09-08 11:08

administrator   ~66398

Fixed in LS3 and LS5
c_schmitz

c_schmitz

2021-09-21 09:45

administrator   ~66566

New version released

Issue History

Date Modified Username Field Change
2021-09-07 14:08 MeirOverferst New Issue
2021-09-07 14:08 galads Assigned To => galads
2021-09-07 14:08 galads Status new => confirmed
2021-09-07 15:39 ollehar Note Added: 66376
2021-09-07 15:39 ollehar Bug heat 0 => 2
2021-09-07 15:40 ollehar Note Added: 66377
2021-09-07 15:53 ollehar Note Added: 66378
2021-09-07 16:18 c_schmitz Status confirmed => resolved
2021-09-07 16:18 c_schmitz Resolution open => fixed
2021-09-07 16:18 c_schmitz Assigned To galads => ollehar
2021-09-07 16:19 ollehar Status resolved => new
2021-09-07 16:19 ollehar Resolution fixed => reopened
2021-09-07 16:19 ollehar Note Added: 66379
2021-09-08 09:57 c_schmitz Status new => assigned
2021-09-08 11:08 ollehar Status assigned => resolved
2021-09-08 11:08 ollehar Note Added: 66398
2021-09-21 09:45 c_schmitz Note Added: 66566
2021-09-21 09:45 c_schmitz Bug heat 2 => 4
2021-09-21 09:45 c_schmitz Status resolved => closed